encoding-0.10.2: A library for various character encodings

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Encoding.ByteSource

Contents

- Orphan instances

# Documentation

class (Monad m, Throws DecodingException m) => ByteSource (m :: Type -> Type) where Source #

Minimal complete definition

sourceEmpty, fetchWord8, fetchAhead

Methods

sourceEmpty :: m Bool Source #

fetchWord8 :: m Word8 Source #

fetchAhead :: m (Maybe a) -> m (Maybe a) Source #

fetchWord16be :: m Word16 Source #

fetchWord16le :: m Word16 Source #

fetchWord32be :: m Word32 Source #

fetchWord32le :: m Word32 Source #

fetchWord64be :: m Word64 Source #

fetchWord64le :: m Word64 Source #

#### Instances

Instances details

ByteSource Get Source # |

Instance details

Defined in Data.Encoding.ByteSource

Methods

sourceEmpty :: Get Bool Source #

fetchWord8 :: Get Word8 Source #

fetchAhead :: Get (Maybe a) -> Get (Maybe a) Source #

fetchWord16be :: Get Word16 Source #

fetchWord16le :: Get Word16 Source #

fetchWord32be :: Get Word32 Source #

fetchWord32le :: Get Word32 Source #

fetchWord64be :: Get Word64 Source #

fetchWord64le :: Get Word64 Source #

ByteSource (ReaderT Handle IO) Source # |

Instance details

Defined in Data.Encoding.ByteSource

Methods

sourceEmpty :: ReaderT Handle IO Bool Source #

fetchWord8 :: ReaderT Handle IO Word8 Source #

fetchAhead :: ReaderT Handle IO (Maybe a) -> ReaderT Handle IO (Maybe a) Source #

fetchWord16be :: ReaderT Handle IO Word16 Source #

fetchWord16le :: ReaderT Handle IO Word16 Source #

fetchWord32be :: ReaderT Handle IO Word32 Source #

fetchWord32le :: ReaderT Handle IO Word32 Source #

fetchWord64be :: ReaderT Handle IO Word64 Source #

fetchWord64le :: ReaderT Handle IO Word64 Source #

(Monad m, Throws DecodingException m) => ByteSource (StateT ByteString m) Source # |

Instance details

Defined in Data.Encoding.ByteSource

Methods

sourceEmpty :: StateT ByteString m Bool Source #

fetchWord8 :: StateT ByteString m Word8 Source #

fetchAhead :: StateT ByteString m (Maybe a) -> StateT ByteString m (Maybe a) Source #

fetchWord16be :: StateT ByteString m Word16 Source #

fetchWord16le :: StateT ByteString m Word16 Source #

fetchWord32be :: StateT ByteString m Word32 Source #

fetchWord32le :: StateT ByteString m Word32 Source #

fetchWord64be :: StateT ByteString m Word64 Source #

fetchWord64le :: StateT ByteString m Word64 Source #

ByteSource (StateT ByteString (Either DecodingException)) Source # |

Instance details

Defined in Data.Encoding.ByteSource

Methods

sourceEmpty :: StateT ByteString (Either DecodingException) Bool Source #

fetchWord8 :: StateT ByteString (Either DecodingException) Word8 Source #

fetchAhead :: StateT ByteString (Either DecodingException) (Maybe a) -> StateT ByteString (Either DecodingException) (Maybe a) Source #

fetchWord16be :: StateT ByteString (Either DecodingException) Word16 Source #

fetchWord16le :: StateT ByteString (Either DecodingException) Word16 Source #

fetchWord32be :: StateT ByteString (Either DecodingException) Word32 Source #

fetchWord32le :: StateT ByteString (Either DecodingException) Word32 Source #

fetchWord64be :: StateT ByteString (Either DecodingException) Word64 Source #

fetchWord64le :: StateT ByteString (Either DecodingException) Word64 Source #

ByteSource (StateT [Char] (Either DecodingException)) Source # |

Instance details

Defined in Data.Encoding.ByteSource

Methods

sourceEmpty :: StateT [Char] (Either DecodingException) Bool Source #

fetchWord8 :: StateT [Char] (Either DecodingException) Word8 Source #

fetchAhead :: StateT [Char] (Either DecodingException) (Maybe a) -> StateT [Char] (Either DecodingException) (Maybe a) Source #

fetchWord16be :: StateT [Char] (Either DecodingException) Word16 Source #

fetchWord16le :: StateT [Char] (Either DecodingException) Word16 Source #

fetchWord32be :: StateT [Char] (Either DecodingException) Word32 Source #

fetchWord32le :: StateT [Char] (Either DecodingException) Word32 Source #

fetchWord64be :: StateT [Char] (Either DecodingException) Word64 Source #

fetchWord64le :: StateT [Char] (Either DecodingException) Word64 Source #

ByteSource (StateT [Char] Identity) Source # |

Instance details

Defined in Data.Encoding.ByteSource

Methods

sourceEmpty :: StateT [Char] Identity Bool Source #

fetchWord8 :: StateT [Char] Identity Word8 Source #

fetchAhead :: StateT [Char] Identity (Maybe a) -> StateT [Char] Identity (Maybe a) Source #

fetchWord16be :: StateT [Char] Identity Word16 Source #

fetchWord16le :: StateT [Char] Identity Word16 Source #

fetchWord32be :: StateT [Char] Identity Word32 Source #

fetchWord32le :: StateT [Char] Identity Word32 Source #

fetchWord64be :: StateT [Char] Identity Word64 Source #

fetchWord64le :: StateT [Char] Identity Word64 Source #

fetchAheadState :: forall {m} {s} {a}. MonadState s m => m (Maybe a) -> m (Maybe a) Source #

# Orphan instances

Throws DecodingException Get Source # |
Instance details Methods throwException :: DecodingException -> Get a Source #